SystemMemberCacheListener (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: SystemMemberCacheListener

Package org.apache.geode.admin

# Interface SystemMemberCacheListener

@Deprecated public interface SystemMemberCacheListener
Deprecated.
as of 7.0 use the `management` package instead
A listener whose callback methods can be used to track the lifecycle of `caches` and `regions` in the GemFire distributed system.

Since:
  GemFire 5.0
See Also:
  - `AdminDistributedSystem.addCacheListener(org.apache.geode.admin.SystemMemberCacheListener)`
  - `AdminDistributedSystem.removeCacheListener(org.apache.geode.admin.SystemMemberCacheListener)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterCacheClose(SystemMemberCacheEvent event)`
  Deprecated.
  Invoked after a cache is closed in any node of a distributed system.
  `void`
  `afterCacheCreate(SystemMemberCacheEvent event)`
  Deprecated.
  Invoked after a cache is created in any node of a distributed system.
  `void`
  `afterRegionCreate(SystemMemberRegionEvent event)`
  Deprecated.
  Invoked after a region is created in any node of distributed system.
  `void`
  `afterRegionLoss(SystemMemberRegionEvent event)`
  Deprecated.
  Invoked when a region is destroyed or closed in any node of distributed system.

- ## Method Details

  - ### afterRegionCreate

    void afterRegionCreate(SystemMemberRegionEvent event)
    Deprecated.
    Invoked after a region is created in any node of distributed system.
    Parameters:
      `event` - describes the region that was created.
    See Also:
      - `CacheFactory.create()`
      - `Cache.createRegion(java.lang.String, org.apache.geode.cache.RegionAttributes<K, V>)`
      - `Region.createSubregion(java.lang.String, org.apache.geode.cache.RegionAttributes<SK, SV>)`

  - ### afterRegionLoss

    void afterRegionLoss(SystemMemberRegionEvent event)
    Deprecated.
    Invoked when a region is destroyed or closed in any node of distributed system.
    Parameters:
      `event` - describes the region that was lost. The operation on this event can be used to determine the actual operation that caused the loss. Note that `RegionService.close()` invokes this callback with `Operation.CACHE_CLOSE` for each region in the closed cache and it invokes `afterCacheClose(org.apache.geode.admin.SystemMemberCacheEvent)`.
    See Also:
      - `RegionService.close()`
      - `Region.close()`
      - `Region.localDestroyRegion()`
      - `Region.destroyRegion()`

  - ### afterCacheCreate

    void afterCacheCreate(SystemMemberCacheEvent event)
    Deprecated.
    Invoked after a cache is created in any node of a distributed system. Note that this callback will be done before any regions are created in the cache.
    Parameters:
      `event` - describes the member that created the cache.
    See Also:
      - `CacheFactory.create()`

  - ### afterCacheClose

    void afterCacheClose(SystemMemberCacheEvent event)
    Deprecated.
    Invoked after a cache is closed in any node of a distributed system. This callback is done after those done for each region in the cache. This callback is not done if the distributed member that has a cache crashes.
    Parameters:
      `event` - describes the member that closed its cache.
    See Also:
      - `RegionService.close()`